import MongoSwift from '../';

var options = {
    databases: [
        'online',
    ]
};

var db = new MongoSwift(options);

setTimeout(async() => {
    try {
        var users = await db.online.users.count();
        var messages = await db.online.messages.count();
        var commints = await db.online.commints.count();
        var pictures = await db.online.pictures.count();
        var posts = await db.online.posts.count();
        var statuses = await db.online.statuses.count();

        var oneUser = await db.online.users.findOne({});
        var allUsers = await db.online.users.find({}).toArray();

        console.log("Results => ",
            "\nUsers count =>", users,
            "\nMessages count =>", messages,
            "\nCommints count =>", commints,
            "\nPictures count =>", pictures,
            "\nPosts count =>", posts,
            "\nStatuses count =>", statuses,
            "\nAll users count =>\n", allUsers,
            "\none user =>\n", oneUser

        );
    }
    catch (error){
        console.log("Error => ", error);
    }
}, 5000);

